package com.mx.dla.dda.contrato.condicionesTransaccion.dtos;

import java.util.ArrayList;
import java.util.List;

public class CondicionesTransaccionDTO {
	  	private Long idContrato;
	    private String justificacion; 
	    private String expediente; 
	    private List<String> optionsLista = new ArrayList<String>();
	   
	    private List<String> combosLista = new ArrayList<String>();
	   
	    private List<List<ContratoPtCmgDTO>> seccionMinimo = new ArrayList<List<ContratoPtCmgDTO>>();	    
	    private List<List<ContratoPtAnnioDTO>> seccionPtAnnio = new ArrayList<List<ContratoPtAnnioDTO>>();	   	    
	    private List<List<ContratoCmgRdAuxDTO>> secciontablaCatalogos = new ArrayList<List<ContratoCmgRdAuxDTO>>();
	    private List<List<ContratoPtrsPrecioDTO>> seccionPtPrecio = new ArrayList<List<ContratoPtrsPrecioDTO>>();
	     
		
	    public Long getIdContrato() {
			return idContrato;
		}
		public void setIdContrato(Long idContrato) {
			this.idContrato = idContrato;
		}
		public String getJustificacion() {
			return justificacion;
		}
		public void setJustificacion(String justificacion) {
			this.justificacion = justificacion;
		}
		public String getExpediente() {
			return expediente;
		}
		public void setExpediente(String expediente) {
			this.expediente = expediente;
		}
		public List<String> getOptionsLista() {
			return optionsLista;
		}
		public void setOptionsLista(List<String> optionsLista) {
			this.optionsLista = optionsLista;
		}
		public List<String> getCombosLista() {
			return combosLista;
		}
		public void setCombosLista(List<String> combosLista) {
			this.combosLista = combosLista;
		}
		public List<List<ContratoPtAnnioDTO>> getSeccionPtAnnio() {
			return seccionPtAnnio;
		}
		public void setSeccionPtAnnio(List<List<ContratoPtAnnioDTO>> seccionPtAnnio) {
			this.seccionPtAnnio = seccionPtAnnio;
		}
		public List<List<ContratoPtCmgDTO>> getSeccionMinimo() {
			return seccionMinimo;
		}
		public void setSeccionMinimo(List<List<ContratoPtCmgDTO>> seccionMinimo) {
			this.seccionMinimo = seccionMinimo;
		}
		public List<List<ContratoCmgRdAuxDTO>> getSecciontablaCatalogos() {
			return secciontablaCatalogos;
		}
		public void setSecciontablaCatalogos(List<List<ContratoCmgRdAuxDTO>> secciontablaCatalogos) {
			this.secciontablaCatalogos = secciontablaCatalogos;
		}		
		
		public List<List<ContratoPtrsPrecioDTO>> getSeccionPtPrecio() {
			return seccionPtPrecio;
		}
		public void setSeccionPtPrecio(List<List<ContratoPtrsPrecioDTO>> seccionPtPrecio) {
			this.seccionPtPrecio = seccionPtPrecio;
		}
		@Override
		public String toString() {
			return "CondicionesTransaccionDTO [idContrato=" + idContrato + ", justificacion=" + justificacion
					+ ", expediente=" + expediente + ", optionsLista=" + optionsLista + ", combosLista=" + combosLista
					+ ", seccionMinimo=" + seccionMinimo + ", seccionPtAnnio=" + seccionPtAnnio
					+ ", secciontablaCatalogos=" + secciontablaCatalogos + ", seccionPtPrecio=" + seccionPtPrecio + "]";
		}
		
		
	    
	    
	    
}
